hpp-corbaserver: hpp::core_idl::Path Interface Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | List of all members
hpp::core_idl::Path Interface Reference

`import </local/robotpkg/var/tmp/robotpkg/path/py-hpp-corbaserver/work/hpp-corbaserver-9.0.2/idl/hpp/core_idl/paths.idl;`

Inheritance diagram for hpp::core_idl::Path:
[legend]

## Public Member Functions
size_type | outputSize () raises (Error)
size_type | outputDerivativeSize () raises (Error)
value_type | length () raises (Error)
floatSeq | initial () raises (Error)
floatSeq | end () raises (Error)
ConstraintSet | constraints () raises (Error)
string | str () raises (Error)
floatSeq | call (in value_type t, out boolean success) raises (Error)
floatSeq | at (in value_type t, out boolean success) raises (Error)
floatSeq | derivative (in value_type t, in short order) raises (Error)
Path | extract (in value_type tmin, in value_type tmax) raises (Error)
PathVector | asVector () raises (Error)
Path | reverse () raises (Error)

## Member Function Documentation

## ◆ asVector()

PathVector hpp::core_idl::Path::asVector | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ at()

floatSeq hpp::core_idl::Path::at | ( | in value_type | t,
|  | out boolean | success
| ) |  |
raises | ( | Error
| ) |  |

## ◆ call()

floatSeq hpp::core_idl::Path::call | ( | in value_type | t,
|  | out boolean | success
| ) |  |
raises | ( | Error
| ) |  |

## ◆ constraints()

ConstraintSet hpp::core_idl::Path::constraints | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ derivative()

floatSeq hpp::core_idl::Path::derivative | ( | in value_type | t,
|  | in short | order
| ) |  |
raises | ( | Error
| ) |  |

## ◆ end()

floatSeq hpp::core_idl::Path::end | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ extract()

Path hpp::core_idl::Path::extract | ( | in value_type | tmin,
|  | in value_type | tmax
| ) |  |
raises | ( | Error
| ) |  |

## ◆ initial()

floatSeq hpp::core_idl::Path::initial | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ length()

value_type hpp::core_idl::Path::length | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ outputDerivativeSize()

size_type hpp::core_idl::Path::outputDerivativeSize | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ outputSize()

size_type hpp::core_idl::Path::outputSize | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ reverse()

Path hpp::core_idl::Path::reverse | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ str()

string hpp::core_idl::Path::str | ( |  | ) |
raises | ( | Error
| ) |  |

The documentation for this interface was generated from the following file:

- idl/hpp/core_idl/paths.idl